/* 
Пример простого многофайлового проекта

CodeVisionAVR C Compiler
(C) 2000-2002 HP InfoTech S.R.L.
www.hpinfotech.ro
*/

// это - основной файл проекта

// подключим заголовочные файлы с объявлениями функций
#include "file1.h"
#include "file2.h"
#include "file3.h"

main() 
{
   // объявим локальную переменную
   int i;
   // вызовем функцию с прототипом, объявленным в "file1.h"
   // сама функция расположена в "file1.c"
   i=func1(10);
   // вызовеме функцию с прототипом, объявленным в "file2.h"
   // сама функция расположена в "file2.c"
   i=func2(i);
   // вызовеме функцию с прототипом, объявленным в "file3.h"
   // сама функция расположена в "file3.c"
   i=func3(i);
   // здесь остановка
   while (1);
}
